<?php


namespace Mcp\Server\Session;

use Symfony\Component\Uid\Uuid;

class SessionFactory implements SessionFactoryInterface
{
    public function create(SessionStoreInterface $store): SessionInterface
    {
        return new Session($store, Uuid::v4());
    }

    public function createWithId(Uuid $id, SessionStoreInterface $store): SessionInterface
    {
        return new Session($store, $id);
    }
}
